# Uses of Class
org.eclipse.jface.viewers.TableViewer

Packages that use TableViewer
Package
Description
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.debug.ui.memory
Provides classes and interfaces to render memory blocks in the memory view.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.texteditor.templates
Application programming interfaces for interaction with the Eclipse text editor template support.

## Uses of TableViewer in org.eclipse.debug.ui

Fields in org.eclipse.debug.ui declared as TableViewer
Modifier and Type
Field
Description
`protected TableViewer`
EnvironmentTab.`environmentTable`

## Uses of TableViewer in org.eclipse.debug.ui.memory

Methods in org.eclipse.debug.ui.memory that return TableViewer
Modifier and Type
Method
Description
`TableViewer`
AbstractTableRendering.`getTableViewer()`
Returns this rendering's table viewer.

## Uses of TableViewer in org.eclipse.jface.viewers

Subclasses of TableViewer in org.eclipse.jface.viewers
Modifier and Type
Class
Description
`class`
`CheckboxTableViewer`
A concrete viewer based on an SWT `Table` control with checkboxes on each node.
Methods in org.eclipse.jface.viewers with parameters of type TableViewer
Modifier and Type
Method
Description
`static void`
TableViewerEditor.`create(TableViewer viewer, ColumnViewerEditorActivationStrategy editorActivationStrategy, int feature)`
Create a customized editor whose activation process is customized
`static void`
TableViewerEditor.`create(TableViewer viewer, org.eclipse.jface.viewers.SWTFocusCellManager focusCellManager, ColumnViewerEditorActivationStrategy editorActivationStrategy, int feature)`
Create a customized editor with focusable cells
Constructors in org.eclipse.jface.viewers with parameters of type TableViewer
Modifier
Constructor
Description
``
`TableViewerColumn(TableViewer viewer, int style)`
Creates a new viewer column for the given `TableViewer` on a new `TableColumn` with the given style bits.
``
`TableViewerColumn(TableViewer viewer, int style, int index)`
Creates a new viewer column for the given `TableViewer` on a new `TableColumn` with the given style bits.
``
`TableViewerColumn(TableViewer viewer, TableColumn column)`
Creates a new viewer column for the given `TableViewer` on the given `TableColumn`.
``
`TableViewerFocusCellManager(TableViewer viewer, FocusCellHighlighter focusDrawingDelegate)`
Create a new manager with a default navigation strategy: `SWT.ARROW_UP`: navigate to cell above `SWT.ARROW_DOWN`: navigate to cell below `SWT.ARROW_RIGHT`: navigate to next visible cell on the right `SWT.ARROW_LEFT`: navigate to next visible cell on the left
``
`TableViewerFocusCellManager(TableViewer viewer, FocusCellHighlighter focusDrawingDelegate, CellNavigationStrategy navigationStrategy)`
Create a new manager

## Uses of TableViewer in org.eclipse.search.ui.text

Methods in org.eclipse.search.ui.text that return TableViewer
Modifier and Type
Method
Description
`protected TableViewer`
AbstractTextSearchViewPage.`createTableViewer(Composite parent)`
Creates the table viewer to be shown on this page.
Methods in org.eclipse.search.ui.text with parameters of type TableViewer
Modifier and Type
Method
Description
`protected abstract void`
AbstractTextSearchViewPage.`configureTableViewer(TableViewer viewer)`
Configures the given viewer.

## Uses of TableViewer in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs that return TableViewer
Modifier and Type
Method
Description
`TableViewer`
ListDialog.`getTableViewer()`

## Uses of TableViewer in org.eclipse.ui.texteditor.templates

Methods in org.eclipse.ui.texteditor.templates that return TableViewer
Modifier and Type
Method
Description
`protected TableViewer`
TemplatePreferencePage.`getTableViewer()`